FROM almalinux:9.3

RUN dnf -y install python3.11 python3-devel && dnf -y clean all
ENV PYTHONUNBUFFERED=1 PYTHONDONTWRITEBYTECODE=1

RUN python3.11 -m ensurepip \
    && pip3 install --no-cache-dir transitions==0.9.0 pyyaml event_bus logging_tree rich microdot ruamel.yaml 

RUN dnf -y install gcc graphviz
RUN dnf -y --enablerepo=crb install graphviz-devel 
#RUN dnf -y install python3.11-dev 
#RUN pip3 wheel --no-cache-dir --use-pep517 "pygraphviz (==1.12)" \
RUN pip3 install pygraphviz

WORKDIR /app
COPY ./server.py .
COPY ./machine_factory.py .
COPY ./machines.py .

RUN set -eux

CMD ["python3.11", "server.py"]
